from rest_framework.decorators import api_view
from rest_framework.request import Request
from rest_framework.response import Response


@api_view(['GET'])
def get_user_base_info(request: Request, *args, **kwargs):
    from users.interfaces.get_user_base_info import as_view

    ret = as_view(request, *args, **kwargs)
    return Response(ret.data or ret.messages, status=ret.status_code)
